Echo API
  1. Customer
Echo API
  • Echo Partner Portal
    • Customer
      • Create Customer
        POST
      • Amend Customer
        POST
      • Get Customer
        GET
      • Get All Customers
        GET
      • Offboard Customer
        POST
    • Partner
      • Create Partner
      • Amend Partner
      • Get Partner
      • Get All Partners
      • Offboard Partner
  • Echo Development API
    • Check Participants
      POST
  1. Customer

Get All Customers

GET
https://partner.meetecho.io/api/1.1/wf/get_all_customers

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://partner.meetecho.io/api/1.1/wf/get_all_customers?authorization=jLPvKtdTshonfWigYPMR'
Response Response Example
{
    "status": "success",
    "response": {
        "status": "success",
        "customers": [
            {
                "Modified Date": 1767966183813,
                "customerCompanyName": "test",
                "customerReferenceID": "12345",
                "_id": "1767966183273x741973433215279400",
                "customerInvitationUUID": "1767966183739x920468507580353200",
                "customerSeatsAllocated": 5,
                "Created Date": 1767966183296,
                "customerAdminEmails": [
                    "test@meetecho.io"
                ],
                "Created By": "1756321930436x566492739762314940",
                "customerCostPerSeat(pounds)": 12
            },
            {
                "customerCostPerSeat(pounds)": 12,
                "customerAdminEmails": [
                    "test2@meetecho.io"
                ],
                "Modified Date": 1767966204704,
                "customerSeatsAllocated": 5,
                "Created By": "1756321930436x566492739762314940",
                "Created Date": 1767966204175,
                "_id": "1767966204168x103210125697445140",
                "customerCompanyName": "test2",
                "customerInvitationUUID": "1767966204609x838045494128629900",
                "customerReferenceID": "12345"
            }
        ]
    }
}
Modified at 2026-01-13 09:25:47
Previous
Get Customer
Next
Offboard Customer
Built with